apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: coffee-ingress
  namespace: cafe
  annotations:
    kubernetes.io/ingress.class: "varnish-coffee"
    ingress.varnish-cache.org/varnish-svc: "varnish-coffee-admin"
spec:
  rules:
  - host: coffee.example.com
    http:
      paths:
      - backend:
          service:
            name: coffee-svc
            port:
              number: 80
        pathType: ImplementationSpecific
